Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert
Class CRLReason

`java.lang.Object
oracle.security.crypto.cert.CRLReason`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CRLReason
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

Reason for a certificate revocation.

Field Summary
`static CRLReason` | `AFFILIATION_CHANGE`
`static CRLReason` | `CA_COMPROMISE`
`static CRLReason` | `CERTIFICATE_HOLD`
`static CRLReason` | `CESSATION_OF_OPERATION`
`static CRLReason` | `KEY_COMPROMISE`
`static CRLReason[]` | `LIST`
`static CRLReason` | `REMOVE_FROM_CRL`
`static CRLReason` | `SUPERSEDED`
`static CRLReason` | `UNSPECIFIED`

Constructor Summary
`CRLReason(java.io.InputStream is)`

Method Summary
`int` | `getValue()` Gets the value of this CRLReason.
`void` | `input(java.io.InputStream is)`
`int` | `length()`
`void` | `output(java.io.OutputStream os)`
`java.lang.String` | `toString()` Returns a brief description of this CRLReason object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNSPECIFIED

    public static final CRLReason UNSPECIFIED

### KEY_COMPROMISE

    public static final CRLReason KEY_COMPROMISE

### CA_COMPROMISE

    public static final CRLReason CA_COMPROMISE

### AFFILIATION_CHANGE

    public static final CRLReason AFFILIATION_CHANGE

### SUPERSEDED

    public static final CRLReason SUPERSEDED

### CESSATION_OF_OPERATION

    public static final CRLReason CESSATION_OF_OPERATION

### CERTIFICATE_HOLD

    public static final CRLReason CERTIFICATE_HOLD

### REMOVE_FROM_CRL

    public static final CRLReason REMOVE_FROM_CRL

### LIST

    public static final CRLReason[] LIST

Constructor Detail

### CRLReason

    public CRLReason(java.io.InputStream is)
              throws java.io.IOException

Method Detail

### getValue

    public int getValue()

  Gets the value of this CRLReason.
  Returns:
    An int representing this CRLReason object.

### toString

    public java.lang.String toString()

  Returns a brief description of this CRLReason object.
  Returns:
    A String describing this object.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.